%global momorel 1
%global srcname openexr

Summary: A high-dynamic-range image file library
Name: OpenEXR
Version: 1.4.0
Release: %{momorel}m%{?dist}
License: Modified BSD
URL: http://www.openexr.org/
Group: System Environment/Libraries
%NoSource 0 http://savannah.nongnu.org/download/openexr/%{srcname}-%{version}a.tar.gz d0a4b9a930c766fa51561b05fb204afe
Patch0: openexr-1.4.0-no_undefined.patch
Patch1: openexr-1.4.0-pkgconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: fltk-devel, zlib-devel, pkgconfig
BuildPreReq: autoconf, automake, libtool

%description
OpenEXR is an image file format and library developed by Industrial Light & Magic, and later released to the public. It provides support for high dynamic range and a 16-bit floating point "half" data type which is compatible with the half data type in the Cg programming language.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .no_undefined
%patch1 -p1 -b .pkgconfig

./bootstrap

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# cleanup docs
rm -rf IlmImfExamples/.deps
rm -f IlmImfExamples/Makefile*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc IlmImfExamples
%{_includedir}/OpenEXR
%{_libdir}/pkgconfig/OpenEXR.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/openexr.m4 

%changelog
* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0a
- import openexr-1.4.0-pkgconfig.patch from Fedora Core extras devel
 +* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.4.0a-3
 +- pkgconfig patch to use Libs.private
- import openexr-1.4.0-no_undefined.patch from Fedora Core extras devel
 +* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.4.0a-1
 +- IlmThread contains undefined references to stuff in -lpthread
- get rid of *.la files

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- import OpenEXR-1.2.2-zlib.patch from Fedora Core extras
 +* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-7
 +- Further zlib fixes (#165729)

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- initial package for koffice-1.5
- import OpenEXR-1.2.2-forwardfriend.patch from Fedora Extras
 +* Tue Aug 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-4
 +- Fixed build with GCC 4.0.1
